package cn.com.poc.ai_software_copyright.domain;

/**
 * @author alex.yao
 * @date 2025/12/25
 */
public class BaseInfo {
    private String softwareFullName; // 软件全称
    private String versionNumber; // 版本号
    private String softwareCategory; // 软件分类
    private String developmentCompletionDate; // 开发完成日期
    private String copyrightOwnerType; // 著作权人类型
    private String publicationStatus; // 发表状态
    private String copyrightOwnerName; // 著作权人名称
    private String unifiedSocialCreditCode; // 统一社会号码编号 / 个人填写身份证号


    // Getter 和 Setter 方法
    public String getSoftwareFullName() {
        return softwareFullName;
    }

    public void setSoftwareFullName(String softwareFullName) {
        this.softwareFullName = softwareFullName;
    }

    public String getVersionNumber() {
        return versionNumber;
    }

    public void setVersionNumber(String versionNumber) {
        this.versionNumber = versionNumber;
    }

    public String getSoftwareCategory() {
        return softwareCategory;
    }

    public void setSoftwareCategory(String softwareCategory) {
        this.softwareCategory = softwareCategory;
    }


    public String getDevelopmentCompletionDate() {
        return developmentCompletionDate;
    }

    public void setDevelopmentCompletionDate(String developmentCompletionDate) {
        this.developmentCompletionDate = developmentCompletionDate;
    }

    public String getCopyrightOwnerType() {
        return copyrightOwnerType;
    }

    public void setCopyrightOwnerType(String copyrightOwnerType) {
        this.copyrightOwnerType = copyrightOwnerType;
    }

    public String getPublicationStatus() {
        return publicationStatus;
    }

    public void setPublicationStatus(String publicationStatus) {
        this.publicationStatus = publicationStatus;
    }

    public String getCopyrightOwnerName() {
        return copyrightOwnerName;
    }

    public void setCopyrightOwnerName(String copyrightOwnerName) {
        this.copyrightOwnerName = copyrightOwnerName;
    }

    public String getUnifiedSocialCreditCode() {
        return unifiedSocialCreditCode;
    }

    public void setUnifiedSocialCreditCode(String unifiedSocialCreditCode) {
        this.unifiedSocialCreditCode = unifiedSocialCreditCode;
    }

}
